Bug 45237 - postgresql-9.1: Multiple issues (4.2)
postgresql-9.1: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P3 normal (vote)
: UCS 4.2-1-errata
Assigned To: Arvid Requate
Philipp Hahn
:
Depends on:
Blocks: 45236
  Show dependency treegraph
 
Reported: 2017-08-21 16:21 CEST by Arvid Requate
Modified: 2017-08-30 16:29 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 7.4 (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-08-21 16:21:43 CEST
We also need this for UCS 4.2:

+++ This bug was initially created as a clone of Bug #45236 +++

Upstream Debian package version 9.1.24lts2-0+deb7u1 fixes these issues:

* In some authentication methods empty passwords were accepted (CVE-2017-7546)
* User mappings could leak data to unprivileged users (CVE-2017-7547)
* The lo_put() function ignored ACLs (CVE-2017-7548)
Comment 1 Arvid Requate univentionstaff 2017-08-21 17:32:07 CEST
Source package cherrypicked from Bug 45236

Built with fixed version number 9.1.24-0.A~4.2.0.201708211719.

CVE-2017-7548 has not been fixed. Instead this one:

* Restrict visibility of pg_user_mappings.umoptions, to protect passwords stored as user mapping options (CVE-2017-7486)


Advisory: postgresql-9.1.yaml
Comment 2 Philipp Hahn univentionstaff 2017-08-28 14:21:04 CEST
OK: apt-get install univention-postgresql
OK: apt-get upgrade
OK: Upgrade 9.1 -> 9.4, reboot

OK: errata-announce -V --only postgresql-9.?.yaml
OK: postgresql-9.?.yaml
Comment 3 Arvid Requate univentionstaff 2017-08-30 16:29:46 CEST
<http://errata.software-univention.de/ucs/4.2/145.html>